ComparisonCompactorTest
Keywords: junit.tests.framework.ComparisonCompactorTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.framework
Class ComparisonCompactorTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.framework.ComparisonCompactorTest

All Implemented Interfaces:
  Test

    public class ComparisonCompactorTest

extends TestCase

Constructor Summary
`ComparisonCompactorTest()`

Method Summary
`void` | `testBug609972()`
`void` | `testComparisonErrorEndSameComplete()`
`void` | `testComparisonErrorEndSameCompleteContext()`
`void` | `testComparisonErrorOverlapingMatches()`
`void` | `testComparisonErrorOverlapingMatches2()`
`void` | `testComparisonErrorOverlapingMatches2Context()`
`void` | `testComparisonErrorOverlapingMatchesContext()`
`void` | `testComparisonErrorStartSameComplete()`
`void` | `testComparisonErrorWithActualNull()`
`void` | `testComparisonErrorWithActualNullContext()`
`void` | `testComparisonErrorWithExpectedNull()`
`void` | `testComparisonErrorWithExpectedNullContext()`
`void` | `testEndSame()`
`void` | `testMessage()`
`void` | `testNoContextStartAndEndSame()`
`void` | `testSame()`
`void` | `testStartAndEndContext()`
`void` | `testStartAndEndContextWithEllipses()`
`void` | `testStartSame()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComparisonCompactorTest

    public ComparisonCompactorTest()

Method Detail

### testMessage

    public void testMessage()

### testStartSame

    public void testStartSame()

### testEndSame

    public void testEndSame()

### testSame

    public void testSame()

### testNoContextStartAndEndSame

    public void testNoContextStartAndEndSame()

### testStartAndEndContext

    public void testStartAndEndContext()

### testStartAndEndContextWithEllipses

    public void testStartAndEndContextWithEllipses()

### testComparisonErrorStartSameComplete

    public void testComparisonErrorStartSameComplete()

### testComparisonErrorEndSameComplete

    public void testComparisonErrorEndSameComplete()

### testComparisonErrorEndSameCompleteContext

    public void testComparisonErrorEndSameCompleteContext()

### testComparisonErrorOverlapingMatches

    public void testComparisonErrorOverlapingMatches()

### testComparisonErrorOverlapingMatchesContext

    public void testComparisonErrorOverlapingMatchesContext()

### testComparisonErrorOverlapingMatches2

    public void testComparisonErrorOverlapingMatches2()

### testComparisonErrorOverlapingMatches2Context

    public void testComparisonErrorOverlapingMatches2Context()

### testComparisonErrorWithActualNull

    public void testComparisonErrorWithActualNull()

### testComparisonErrorWithActualNullContext

    public void testComparisonErrorWithActualNullContext()

### testComparisonErrorWithExpectedNull

    public void testComparisonErrorWithExpectedNull()

### testComparisonErrorWithExpectedNullContext

    public void testComparisonErrorWithExpectedNullContext()

### testBug609972

    public void testBug609972()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD